######################################################################
# Configuration file for BrownMove, TOP level
# 
# This defines where things are:
# the application sources, headers and objects,
# and the test subsystem
# These locations are relative to the location of the toplevel make
#
# It also defines global compilation and linker settings
# which we will use throughout the entire system
# 
# Initial Author: Joerg Niggemann, ThoughtBlade inc., 
# Modifications: Tihamer Geyer
# Last update: Aug, 2009
#####################################################################

###########################################
# set the name of the executable here!
# =====================================
execname = brownmove
#
##########################################
# name of the library file
libname = libbrownmove.a

# top_srcdir was exported by toplevel makefile
# However, if we are called without knowing where we are,
# we have to draconically state that top level is where we are here.
# 
top_srcdir ?= $(CURDIR)


# ----------------------------------------------------------------------------------
# WHERE is all our stuff?
#
# We define everything relative to the location of the toplevel makefile.
# there the variable top_srcdir is set and exported

srcdir := $(top_srcdir)/sources
libdir := $(top_srcdir)/lib
incdir := $(top_srcdir)/include

# the object files will be mixed with the cpp, at least for now
# it makes the makefiles easier, if nothing else
objdir := $(top_srcdir)/lib

docdir :=  $(top_srcdir)/doc

# If the final build should end up somewhere else:
top_builddir := $(top_srcdir)

# ----------------------------------------------------------------------------------
# HOW do we want to do things?
#


# Some general defines on the structure
# -DHI_WITH_ROTATION: Compile hydrodynamics with rotational coupling
DEFS = -DHAVE_CONFIG_H   #-DHI_WITH_ROTATION

# OS-dependent part
# 
# ---- MacOSX with Fink (installed in /sw) ----
CXX = g++
CXXLD = $(CXX)

INCLUDES =  -I. -I$(srcdir) -I$(incdir) -I/sw/include

CXXFLAGS = -O2 -ffast-math -fexpensive-optimizations -pedantic -ansi
# CXXFLAGS = -pedantic -O0 -ansi

LDFLAGS = -L/sw/lib -lgsl -lgslcblas -lm 

TAR = /sw/bin/gtar

# ---- Linux ---------------
# CXX = g++
# CXXLD = $(CXX)
# 
# INCLUDES =  -I. -I$(srcdir) -I$(incdir)
# 
# CXXFLAGS = -O2 -ffast-math -fexpensive-optimizations -pedantic -ansi
# 
# LDFLAGS = -lgsl -lgslcblas -lm 
# 
# TAR = tar
# -------------------------

CXXCOMPILE = $(CXX) $(DEFS)  $(INCLUDES) $(CPPFLAGS) $(CXXFLAGS)
CXXLINK =  $(CXXLD)  $(CXXFLAGS) $(LDFLAGS) -o $@

# ----------------------------------------------------------------------------------
# How we don't want do do things
.SUFFIXES: # we don't want any old suffix commands, so this is empty
# ----------------------------------------------------------------------------------
