// This file is part of the brownmove simulation package
// 
// (C) 2003 - 2009 Tihamer Geyer
// tihamer.geyer@bioinformatik.uni-saarland.de
// 
// Check for Updates at the Project Homepage 
// http://service.bioinformatik.uni-saarland.de/brownmove

// #include <iostream>
// #include <fstream>
// #include <math.h>
// 
#include "constants.h"
// #include "types.h"
// #include "vectormath.h"
// #include "random.h"
// 
// #include "cup.h"
// #include "wall.h"
// #include "molecule.h"
// 
// 
// #include "proteinparser.h"


// using namespace brown;

namespace brown {
	// some global variables for global stuff
	// Q: Should we add the timestep here? => No, as long as it does not change during the simulation
	// 
	double KAPPA = 0.99;			// for physiological salt concentration of 0.09M
	double EPS_H2O = 78.0;
	double BETA = 1.0/(K_B*293.0);	// default temp = 20 degrees
	
	double HBOND_DEPTH = 25.0;		// average H-bond: 25 kJ/mol
	double HBOND_LENGTH = 0.2;		// length of an average H bond (between donor-hydrogen and acceptor-atom)
	double HBOND_WIDTH = 0.05;		// potential width in nm
	double HBOND_CUTOFF = 1.5;		// ignore H bond if donor and acceptor are further apart
}


